| OpenNI 2.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Friends
openni::VideoStream::NewFrameListener Class Reference

`#include <OpenNI.h>`

List of all members.

## Public Member Functions

| NewFrameListener ()
virtual | ~NewFrameListener ()
virtual void | onNewFrame (VideoStream &)=0

## Friends

class | VideoStream

## Detailed Description

The VideoStream::NewFrameListener class is provided to allow the implementation of event driven frame reading. To use it, create a class that inherits from it and implement override the onNewFrame() method. Then, register your created class with an active VideoStream using the VideoStream::addNewFrameListener() function. Once this is done, the event handler function you implemented will be called whenever a new frame becomes available. You may call VideoStream::readFrame() from within the event handler.

## Constructor & Destructor Documentation

openni::VideoStream::NewFrameListener::NewFrameListener | ( |  | ) | `[inline]`

Default constructor.

virtual openni::VideoStream::NewFrameListener::~NewFrameListener | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void openni::VideoStream::NewFrameListener::onNewFrame | ( | VideoStream & |  | ) | `[pure virtual]`

Derived classes should implement this function to handle new frames.

## Friends And Related Function Documentation

friend class VideoStream `[friend]`

The documentation for this class was generated from the following file:

- OpenNI.h